.circle{
    background-color: green;
    width: 150px;
    height: 150px;
    border-radius: 100%;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    -ms-border-radius: 100%;
    -o-border-radius: 100%;
    position: relative;
    border-top: 3px solid red;
    position: relative;
    animation: preloader 2s infinite;
    -webkit-animation: preloader 2s infinite;
}
.@keyframes preloader{
    from{
        transform:rotate(0)    ;
        -webkit-transform:rotate(0)    ;
        -moz-transform:rotate(0)    ;
        -ms-transform:rotate(0)    ;
        -o-transform:rotate(0)    ;
}


}